Disabling fields in tracker keeps attached workflow permissions
2014-08-26 09:32 - Etienne Massip

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues workflow Estimated time: 0.00 hour
Target version: 2.6.1

Resolution: Fixed Affected version:

Description

Say e.g. you create a tracker by copying an existing workflow for which some field permissions have been specifically set.
Deselecting the fields used by the tracker (at creation time or at a later time) doesn't remove these permissions.

The may lead to some Version Id can't be blank error message at issue form status update if the original workflow stated that the
field is mandatory for the new status even if the Version Id field is not in the form.

This is not easy to determinate as the workflow permissions are not visible in the administration screen but only in database.

Associated revisions

Revision 13557 - 2014-11-04 21:49 - Jean-Philippe Lang

Fixed that a disabled field which is required by workflow rules blocks issue creation/update (#17744).

Revision 13629 - 2014-11-22 11:34 - Jean-Philippe Lang
Merged r13557 (#17744).

History

#1 - 2014-11-04 21:50 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.6.1

- Resolution set to Fixed

Fixed in r13557. The rules are not removed but the validation now takes of disabled fields.

#2 - 2014-11-22 11:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
